Package org.springframework.web.context.support

# Class ServletContextAwareProcessor

java.lang.Object
org.springframework.web.context.support.ServletContextAwareProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanPostProcessor`

public class ServletContextAwareProcessor extends Object implements org.springframework.beans.factory.config.BeanPostProcessor
`BeanPostProcessor` implementation that passes the ServletContext to beans that implement the `ServletContextAware` interface.

Web application contexts will automatically register this with their underlying bean factory. Applications do not use this directly.

Since:
  12.03.2004
Author:
  Juergen Hoeller, Phillip Webb
See Also:
  - `ServletContextAware`
  - `AbstractRefreshableWebApplicationContext.postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory)`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServletContextAwareProcessor()`
Create a new ServletContextAwareProcessor without an initial context or config.
``
`ServletContextAwareProcessor(ServletConfig servletConfig)`
Create a new ServletContextAwareProcessor for the given config.
``
`ServletContextAwareProcessor(ServletContext servletContext)`
Create a new ServletContextAwareProcessor for the given context.
``
`ServletContextAwareProcessor(ServletContext servletContext, ServletConfig servletConfig)`
Create a new ServletContextAwareProcessor for the given context and config.

## Method Summary

Modifier and Type
Method
Description
`protected ServletConfig`
`getServletConfig()`
Returns the `ServletConfig` to be injected or `null`.
`protected ServletContext`
`getServletContext()`
Returns the `ServletContext` to be injected or `null`.
`Object`
`postProcessAfterInitialization(Object bean, String beanName)`
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletContextAwareProcessor

protected ServletContextAwareProcessor()
Create a new ServletContextAwareProcessor without an initial context or config. When this constructor is used the `getServletContext()` and/or `getServletConfig()` methods should be overridden.

### ServletContextAwareProcessor

public ServletContextAwareProcessor(ServletContext servletContext)
Create a new ServletContextAwareProcessor for the given context.

### ServletContextAwareProcessor

public ServletContextAwareProcessor(ServletConfig servletConfig)
Create a new ServletContextAwareProcessor for the given config.

### ServletContextAwareProcessor

public ServletContextAwareProcessor(@Nullable ServletContext servletContext, @Nullable ServletConfig servletConfig)
Create a new ServletContextAwareProcessor for the given context and config.

## Method Details

### getServletContext

@Nullable protected ServletContext getServletContext()
Returns the `ServletContext` to be injected or `null`. This method can be overridden by subclasses when a context is obtained after the post-processor has been registered.

### getServletConfig

@Nullable protected ServletConfig getServletConfig()
Returns the `ServletConfig` to be injected or `null`. This method can be overridden by subclasses when a context is obtained after the post-processor has been registered.

### postProcessBeforeInitialization

public Object postProcessBeforeInitialization(Object bean, String beanName) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
Throws:
  `org.springframework.beans.BeansException`

### postProcessAfterInitialization

public Object postProcessAfterInitialization(Object bean, String beanName)

Specified by:
  `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`